Bug 78975 - Incorrect options in RH-supplied kernel config files prevent USB mice from working
Summary: Incorrect options in RH-supplied kernel config files prevent USB mice from wo...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-04 04:20 UTC by Brian Daniels
Modified: 2008-08-01 16:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Daniels 2002-12-04 04:20:06 UTC
Description of Problem:
The config files supplied for the kernel found in:
/usr/src/linux-2.4.18-14/configs and linux-2.4.18-18.8.0/configs
contain the following lines:
CONFIG_USB_HIDINPUT=m
CONFIG_USB_HIDDEV=m
but these are Y/N toggles for options to the CONFIG_USB_HID entry.  'm' is not a
valid setting.

If a user compiles a kernel using one of these config files then the HID system
will not be properly built and will prevent USB mice from working. (and very
annoyingly, as the mouse appears to be recognized, is seen by Kudzu, etc.)

These need to be changed to =y.

2.4.18-14 and linux-2.4.18-18.8.0 kernel source packages are affected.

Version-Release number of selected component (if applicable):


How Reproducible:
Always

Comment 1 Arjan van de Ven 2002-12-04 09:29:48 UTC
If the user builds a kernel from these configs, the kernel config system already
automatically turns them into "y" answers..... Now what is the real problem
you're seeing ?

Comment 2 Brian Daniels 2002-12-04 14:40:44 UTC
I do not think the kernel system is working then.   
   
Steps to reproduce:   
Copy linux-2.4.18-18.8.0/configs/kernel-2.4.18-athlon.config to .config  
Build kernel.  
Install kernel and reboot.  
USB mice will not work.  /dev/input/mice will not have any data.    
 
Make mrproper.  Copy the .config file over again.  
Edit .config and change CONFIG_USB_HIDINPUT=m to =y and  CONFIG_USB_HIDDEV=m 
to =y. 
Build kernel, install, reboot. 
USB mice work fine.  cat of /dev/input/mice shows data. 
 


Comment 3 Arjan van de Ven 2002-12-04 14:42:40 UTC
I assume your "build kernel" step includes running "make oldconfig" ?

Comment 4 Brian Daniels 2002-12-04 15:08:04 UTC
My build process included running 'make menuconfig' and saving. 
It looks like make oldconfig is correcting the =m entries but make menuconfig 
is not. 


Comment 5 Brian Daniels 2003-07-13 03:20:32 UTC
Still broken in Red Hat 9. 
 

Comment 6 Kai Thomsen 2003-11-02 16:10:46 UTC
Ditto for Fedora Core 0.95 (test3) updated via Rawhide 
(kernel-source-2.4.22-1.2115.nptl).

Comment 7 Bugzilla owner 2004-09-30 15:40:15 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.